package com.engine.kq.biz;

import weaver.cache.CacheBase;
import weaver.cache.CacheColumn;
import weaver.cache.CacheColumnType;
import weaver.cache.PKColumn;

/**
 * 假期规则缓存类
 */
public class KQChildrenComInfo extends CacheBase {

    /**
     * 数据来源
     */
    protected static String TABLE_NAME = "hrmfamilyinfo";
    /**
     * sql中的where信息，不要以where开始
     */
    protected static String TABLE_WHERE = " WhetherChildren=1 ";
    /**
     * sql中的order by信息，不要以order by开始
     */
    protected static String TABLE_ORDER = " id ";

    /**
     * 主键
     */
    @PKColumn(type = CacheColumnType.NUMBER)
    protected static String PK_NAME = "id";

    /**
     * 出生日期
     */
    @CacheColumn(name = "birthday")
    protected static int birthday;
    /**
     * 姓名
     */
    @CacheColumn(name = "member")
    protected static int member;
    /**
     * 家长id
     */
    @CacheColumn(name = "resourceid")
    protected static int resourceid;


    public String getId(){
        return (String)getRowValue(PK_INDEX);
    }

    public String getChildrenName() {
        return (String)getRowValue(member);
    }

    public String getChildrenName(String key){
        return (String) getValue(member,key);
    }

    public String getBirthday() {
        return (String)getRowValue(birthday);
    }

    public String getBirthday(String key){
        return (String) getValue(birthday,key);
    }

    public String getResourceid() {
        return (String)getRowValue(resourceid);
    }

    public String getResourceid(String key){
        return (String) getValue(resourceid,key);
    }

    @Override
    public void removeCache() {
      super.removeCache();
    }
}
