package com.engine.mzgsecond.web;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.engine.common.util.ServiceUtil;
import com.engine.mzgsecond.service.PortalElementCusService;
import com.engine.mzgsecond.service.impl.PortalElementCusServiceImpl;
import weaver.hrm.HrmUserVarify;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import java.util.HashMap;
import java.util.Map;

/**
 * @Author liang.cheng
 * @Date 2024/12/23 11:09 AM
 * @Description: 美之高门户元素开发
 * @Version 1.0
 */
public class PortalElementCusAction {

    private PortalElementCusService getService(User user) {
        return  ServiceUtil.getService(PortalElementCusServiceImpl.class, user);
    }

    @GET
    @Path("/element/personInfo")
    @Produces(MediaType.TEXT_PLAIN)
    public String personInfo(@Context HttpServletRequest request, @Context HttpServletResponse response){
        Map<String, Object> data = new HashMap<>(8);
        try {
            User user = HrmUserVarify.getUser(request, response);
            data.put("datas",getService(user).personInfo());
            data.put("api_status", true);
        } catch (Exception e) {
            data.put("api_status", false);
            data.put("msg", "catch exception : " + e.getMessage());
        }
        return JSONObject.toJSONString(data,SerializerFeature.DisableCircularReferenceDetect);
    }

    @GET
    @Path("/element/todoNoticeTrain")
    @Produces(MediaType.TEXT_PLAIN)
    public String todoNoticeTrain(@Context HttpServletRequest request, @Context HttpServletResponse response){
        Map<String, Object> data = new HashMap<>(8);
        try {
            User user = HrmUserVarify.getUser(request, response);
            data.put("datas",getService(user).todoNoticeTrain(request, response));
            data.put("api_status", true);
        } catch (Exception e) {
            data.put("api_status", false);
            data.put("msg", "catch exception : " + e.getMessage());
        }
        return JSONObject.toJSONString(data, SerializerFeature.DisableCircularReferenceDetect);
    }

    @GET
    @Path("/element/birthdayRemind")
    @Produces(MediaType.TEXT_PLAIN)
    public String birthdayRemind(@Context HttpServletRequest request, @Context HttpServletResponse response){
        Map<String, Object> data = new HashMap<>(8);
        try {
            User user = HrmUserVarify.getUser(request, response);
            data.put("datas",getService(user).birthdayRemind());
            data.put("api_status", true);
        } catch (Exception e) {
            data.put("api_status", false);
            data.put("msg", "catch exception : " + e.getMessage());
        }
        return JSONObject.toJSONString(data, SerializerFeature.DisableCircularReferenceDetect);
    }
}
